## com.lowagie.toolbox.arguments
Class FileArrayArgument

    java.lang.Object
      com.lowagie.toolbox.arguments.AbstractArgument
          com.lowagie.toolbox.arguments.FileArrayArgument

All Implemented Interfaces:
  java.awt.event.ActionListener, java.beans.PropertyChangeListener, java.util.EventListener

    public class FileArrayArgument

extends AbstractArgument

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary
`(package private) FileList` `fileList1`

Fields inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`description, name, pcs, tool, value`

Constructor Summary
`FileArrayArgument()`
`FileArrayArgument(AbstractTool tool, java.lang.String name, java.lang.String description)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`java.lang.Object` `getArgument()` Gets the argument as an object.
`private void` `jbInit()`
`static void` `main(java.lang.String[] args)`
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`
`java.lang.String` `toString()` Returns a string representation of the object.

Methods inherited from class com.lowagie.toolbox.arguments.AbstractArgument
`addPropertyChangeListener, firePropertyChange, getDescription, getName, getTool, getUsage, getValue, removePropertyChangeListener, setDescription, setName, setTool, setValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fileList1

    FileList fileList1

Constructor Detail

### FileArrayArgument

    public FileArrayArgument()

### FileArrayArgument

    public FileArrayArgument(AbstractTool tool,
                             java.lang.String name,
                             java.lang.String description)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Specified by:
    `actionPerformed` in class `AbstractArgument`

### getArgument

    public java.lang.Object getArgument()
                                 throws java.lang.InstantiationException

  Description copied from class: `AbstractArgument`
  Gets the argument as an object.

  Overrides:
    `getArgument` in class `AbstractArgument`
  Returns:
    an object
  Throws:
    `java.lang.InstantiationException`

### main

    public static void main(java.lang.String[] args)

### jbInit

    private void jbInit()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `AbstractArgument`

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `AbstractArgument`
  Returns:
    a string representation of the object.

Hosted by Hostbasket